FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum Development » Bug Reports » Cannot use template editor (3.0.5)
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Cannot use template editor (3.0.5) [message #183112] Wed, 09 October 2013 14:49 Go to next message
cpreston is currently offline  cpreston   United States
Messages: 160
Registered: June 2012
Location: Oceanside
Karma: 5
Senior Member
add to buddy list
ignore all messages by this user
Running the newly released 3.0.5

When it try to edit either a built in template set or a custom one, I get the following error:

Warning: Cannot modify header information - headers already sent by (output started at /home/username/FUDforum/include/compiler.inc:908) in /home/username/public_html/forum/adm/admtemplates.php on line 18


Thoughts?

[Updated on: Wed, 09 October 2013 14:49]

Report message to a moderator

Re: Cannot use template editor (3.0.5) [message #183117 is a reply to message #183112] Wed, 09 October 2013 17:54 Go to previous messageGo to next message
GaryM is currently offline  GaryM   United States
Messages: 33
Registered: May 2013
Location: Seattle
Karma: 1
Member
add to buddy list
ignore all messages by this user
I used it to modify the default template to set a standard image width I had custom set in 3.0.4. Worked fine, no issues.
Re: Cannot use template editor (3.0.5) [message #183127 is a reply to message #183117] Thu, 10 October 2013 01:28 Go to previous messageGo to next message
naudefj is currently offline  naudefj   
Messages: 3571
Registered: December 2004
Karma: 10
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Works fine for me as well.
Re: Cannot use template editor (3.0.5) [message #183135 is a reply to message #183127] Thu, 10 October 2013 11:22 Go to previous messageGo to next message
cpreston is currently offline  cpreston   United States
Messages: 160
Registered: June 2012
Location: Oceanside
Karma: 5
Senior Member
add to buddy list
ignore all messages by this user
Just to make sure, I went through a vanilla install of 3.0.5 on a different domain and it doesn't work for me.

I get the same error as soon as I click the Edit button under "Edit Template Files."

What should I do next?
Re: Cannot use template editor (3.0.5) [message #183136 is a reply to message #183135] Thu, 10 October 2013 11:34 Go to previous messageGo to next message
GaryM is currently offline  GaryM   United States
Messages: 33
Registered: May 2013
Location: Seattle
Karma: 1
Member
add to buddy list
ignore all messages by this user
My thoughts on this could be the permissions for /home and how other accounts access to write to it. My installation in test is in the /var/www/html directory. However we are upgrading to 3.0.5 in production on Friday so we'll see how this works there as production is in /home as well.
Re: Cannot use template editor (3.0.5) [message #183137 is a reply to message #183136] Thu, 10 October 2013 11:56 Go to previous messageGo to next message
cpreston is currently offline  cpreston   United States
Messages: 160
Registered: June 2012
Location: Oceanside
Karma: 5
Senior Member
add to buddy list
ignore all messages by this user
Based on what you said, I chmod'd everything in the FUDforum data directory to 777 to no avail.

Also, I didn't seem to have a problem with the old permissions (755) when i created a new template set, which also writes to the FUDforum data directory. It created the template set no problem. But then I tried to edit it and I got the error above.

Translation: I don't think this is a permissions problem

[Updated on: Thu, 10 October 2013 12:03]

Report message to a moderator

Re: Cannot use template editor (3.0.5) [message #183141 is a reply to message #183137] Thu, 10 October 2013 14:16 Go to previous messageGo to next message
cpreston is currently offline  cpreston   United States
Messages: 160
Registered: June 2012
Location: Oceanside
Karma: 5
Senior Member
add to buddy list
ignore all messages by this user
According to a google search, this is most definitely a code problem. They are saying it's someone putting a blank space or other HTML before a PHP request.

The part that doesn't make sense is that you're not seeing the problem. I'm wondering if you would see it if you did a vanilla 3.0.5 install instead on upgrade.
Re: Cannot use template editor (3.0.5) [message #183142 is a reply to message #183141] Thu, 10 October 2013 15:23 Go to previous messageGo to next message
cpreston is currently offline  cpreston   United States
Messages: 160
Registered: June 2012
Location: Oceanside
Karma: 5
Senior Member
add to buddy list
ignore all messages by this user
I figured it out. There's an extra line at the end of /home/username/FUDforum/include/compiler.inc. Delete it and the error goes away.

[Updated on: Thu, 10 October 2013 17:29]

Report message to a moderator

Re: Cannot use template editor (3.0.5) [message #183144 is a reply to message #183142] Thu, 10 October 2013 16:00 Go to previous messageGo to next message
naudefj is currently offline  naudefj   
Messages: 3571
Registered: December 2004
Karma: 10
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
That sounds familiar - you may have output_buffering disabled.
We probably have it enabled and are hence unable to reproduce the problem.
Re: Cannot use template editor (3.0.5) [message #183196 is a reply to message #183144] Sat, 12 October 2013 01:12 Go to previous messageGo to next message
GaryM is currently offline  GaryM   United States
Messages: 33
Registered: May 2013
Location: Seattle
Karma: 1
Member
add to buddy list
ignore all messages by this user
Got the same error when upgrading production tonight, did not encounter this in test:

Warning: Cannot modify header information - headers already sent by (output started at /home/FUDforum/include/compiler.inc:908) in /home/vintagegruen.org/vgforum/adm/admtemplates.php on line 18

Again I did not encounter this in test, test was also an upgrade. I tried editing the compiler.inc in the file editor but saw 2 lines at the end instead of 1 like mentioned in the above solution. I tried deleting them by hitting backspace. That didn't work, got a similar error only at line 210 this time.

I looked at the compiler.inc on the test box where the template editor is working. In the vi editor I could see the extra line. I deleted it, saved and ftp'd up to production. Worked!

php output_buffering is enabled on both test and production.

The internal file editor in the admin panel could be suspect for making these type of changes.

Thoughts?

[Updated on: Sat, 12 October 2013 02:28]

Report message to a moderator

Re: Cannot use template editor (3.0.5) [message #183262 is a reply to message #183196] Tue, 15 October 2013 23:52 Go to previous messageGo to next message
TonyH is currently offline  TonyH
Messages: 3
Registered: October 2013
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
I also had the same error. Now I'm new to FUD so this was a brand new install which I'd not tweaked at all.
After reading through the messages above I checked my compiler.inc and found a space at the end of the file.
I got rid of the space and now it works just fine. And yes, in my instance it was just a space - no extra lines.

Weird.
Re: Cannot use template editor (3.0.5) [message #184252 is a reply to message #183262] Mon, 16 December 2013 13:20 Go to previous messageGo to next message
Macavity is currently offline  Macavity   United States
Messages: 5
Registered: November 2013
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Same issue here on an 'out of the box' 3.05 install.

Deleted two extra lines at end of compiler.inc and it works.

Re: Cannot use template editor (3.0.5) [message #184253 is a reply to message #184252] Mon, 16 December 2013 13:27 Go to previous message
naudefj is currently offline  naudefj   
Messages: 3571
Registered: December 2004
Karma: 10
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
It's fixed in 3.0.6RC1 (available for download on sourceforge.com)
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Google Chrome for Android
Next Topic: Sub-topic issue
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Thu Nov 27 06:32:29 EST 2014

Total time taken to generate the page: 0.00926 seconds